cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
1372
Views
0
Helpful
2
Replies

AMP Upgrade issue from 7.1.5 to 7.2.11 - A driver error caused the upgrade to fail. AMP for Endpoints has restarted successfully and this computer is currently protected

We are upgrading few servers from AMP conenctor 7.1.5 to 7.2.11, however machines are not upgrading and failed because of below error in "Device Trajectory".

 

Error - Connector update from 7.1.5 to 7.2.11 failed. Error: A driver error caused the upgrade to fail. AMP for Endpoints has restarted successfully and this computer is currently protected..

 

Can someone please help how this can be remediated.

2 REPLIES 2
Matthew Franks
Cisco Employee

Without further information, it is not possible to determine which driver had an issue with the upgrade.  Are you able to place the connector into debug logging, reproduce the issue, collect the log and file a case with TAC to investigate?

 

Thanks,

Matt

jmarcel2
Beginner

Hi,

 

I had totally same issue as you have described. And I worked it with TAC engineer. 

I would say that there was upgrade to 7.1.5 with "skipdfc 1" switch which caused the 6.x NetworkDriver (DFC) to be left there, without upgrade. Due to this you cant upgrade from 7.1.5 to 7.2.7. In order to have correct dfc driver installed. You have to do clean install.  Uninstall 7.1.5/reboot/install/7.2.11. --> this is the only possible clean solution for this issue at the moment. . I already asked for a hotfix via TAC case.

 

To workaround the problem currently, you can go ahead and upgrade using switch  "/overrideupgradefailure 1 ", but this leave old dfc driver intact and next upgrade will say the same error message.

 

Hope it helps

Marcel

 

Create
Recognize Your Peers
Polls
Which of these topics should we host an event in the Community?

Top Choice: ISE Demo (100%)

Content for Community-Ad